--beginvalidatingquery
	if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[sp_DatabaseVersion]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
    begin
		 select 1, 'Upgrading database'
    end
    else
		select -1, 'Not an EPiServer database'
--endvalidatingquery

BEGIN
UPDATE [dbo].[tblContentProperty]
SET [LongString] = REPLACE([LongString], 'MAI_Connector_Database_HubSpot###','Marketing_Connectors###397c9163Zc169Z4f4cZ9182Z201e198e1fbf_397c9163Zc169Z4f4cZ9182Z201e198e1fbf_'),
	[LongStringLength] = Len(REPLACE([LongString], 'MAI_Connector_Database_HubSpot###','Marketing_Connectors###397c9163Zc169Z4f4cZ9182Z201e198e1fbf_397c9163Zc169Z4f4cZ9182Z201e198e1fbf_'))
WHERE [LongString] LIKE 'MAI_Connector_Database_HubSpot%'

update [dbo].[tblContentProperty] 
SET [LongString] = REPLACE([LongString], 'MAI_Connector_Database_HubSpot$$$','Marketing_Connectors$$$397c9163Zc169Z4f4cZ9182Z201e198e1fbf_397c9163Zc169Z4f4cZ9182Z201e198e1fbf_'),
	LongStringLength = Len(REPLACE(LongString, 'MAI_Connector_Database_HubSpot$$$','Marketing_Connectors$$$397c9163Zc169Z4f4cZ9182Z201e198e1fbf_397c9163Zc169Z4f4cZ9182Z201e198e1fbf_'))
WHERE LongString LIKE 'MAI_Connector_Database_HubSpot%'

update [dbo].[tblWorkContentProperty]
SET [LongString] = REPLACE([LongString], 'MAI_Connector_Database_HubSpot###','Marketing_Connectors###397c9163Zc169Z4f4cZ9182Z201e198e1fbf_397c9163Zc169Z4f4cZ9182Z201e198e1fbf_')
WHERE LongString LIKE 'MAI_Connector_Database_HubSpot%'

update [dbo].[tblWorkContentProperty] 
SET [LongString] = REPLACE([LongString], 'MAI_Connector_Database_HubSpot$$$','Marketing_Connectors$$$397c9163Zc169Z4f4cZ9182Z201e198e1fbf_397c9163Zc169Z4f4cZ9182Z201e198e1fbf_')
WHERE [LongString] LIKE 'MAI_Connector_Database_HubSpot%'
END

-- Create table to store connector version.
DECLARE @currentVersion nvarchar(10) = '4.1.0';
IF NOT EXISTS (SELECT * 
               FROM INFORMATION_SCHEMA.TABLES 
               WHERE TABLE_NAME = 'tblMarketingConnectorsVersion') 
BEGIN
CREATE TABLE [dbo].[tblMarketingConnectorsVersion] (
    [pkId]          BIGINT          IDENTITY (1, 1) NOT NULL,
	[Id]            UNIQUEIDENTIFIER NOT NULL PRIMARY KEY,
    [Name]          NVARCHAR (375)   NOT NULL,
    [Version]       NVARCHAR (50)   NOT NULL
);

INSERT INTO tblMarketingConnectorsVersion
				([Id],
				[Name],
				[Version]) VALUES ('397C9163-C169-4F4C-9182-201E198E1FBF', 'HubSpot', @currentVersion);
END
ELSE
BEGIN
IF NOT EXISTS (SELECT * FROM [dbo].[tblMarketingConnectorsVersion] WHERE Id = '397C9163-C169-4F4C-9182-201E198E1FBF')

   INSERT INTO tblMarketingConnectorsVersion
				([Id],
				[Name],
				[Version]) VALUES ('397C9163-C169-4F4C-9182-201E198E1FBF', 'HubSpot', @currentVersion);

ELSE

    UPDATE tblMarketingConnectorsVersion
    SET [Version] = @currentVersion
    WHERE Id = '397C9163-C169-4F4C-9182-201E198E1FBF'

END
GO

