﻿<%@ Control Language="C#"
    AutoEventWireup="true"
    CodeBehind="SettingsControl.ascx.cs" Inherits="Episerver.Marketing.Connector.HubSpot.Views.Admin.SettingsControl" %>
<%@ Register TagPrefix="asp" Namespace="System.Web.UI" Assembly="System.Web" %>

<%@ Import Namespace="EPiServer" %>
<%@ Import Namespace="EPiServer.Shell.WebForms" %>
<%@ Import Namespace="EPiServer.Framework.Localization" %>
<script type="text/javascript">
   function confirmRemove(uxConnectorNameId) {
        var connectorName = document.getElementById(uxConnectorNameId).value;
        var confirmMessage = "<%= LocalizationService.Current.GetString("/episerver/marketing/connectors/common/removeconfirmation")%> "; 
        var warningMessage = "\n<%= LocalizationService.Current.GetString("/episerver/marketing/connectors/common/removewarning")%>";
        if (connectorName == "") {
            connectorName = "New Connector"
            return confirm(confirmMessage + connectorName);
        } else {
            return confirm( confirmMessage + connectorName + warningMessage); 
        }
    }

</script>
<fieldset>

    <legend><span id="controlDescription" runat="server"></span></legend>
    <p runat="server" clientidmode="Static" class="EP-systemMessage" id="pErrorMessage" visible="false"></p>
    <p runat="server" clientidmode="Static" class="EP-systemMessage" id="pStatusMessage" visible="false"></p>

    <div class="epi-size20">
        <div>
            <asp:Label runat="server" ID="lblConnectorName" AssociatedControlID="uxConnectorName">Connector Name</asp:Label>
            <asp:TextBox runat="server" ID="uxConnectorName"></asp:TextBox>
            <asp:label runat="server" ID="uxConnectorNameRequired" style="color: red">*</asp:label>
        </div>
        <div>
            <asp:Label runat="server" ID="lblaccesstoken" AssociatedControlID="uxAccessToken"></asp:Label>
            <asp:TextBox runat="server" ID="uxAccessToken" TextMode="SingleLine"></asp:TextBox>
            <asp:label runat="server" ID="accesstokenrequired" style="color: red">*</asp:label>
        </div>
    </div>
    <div class="epi-buttonContainer">
        <span class="epi-cmsButton">
            <asp:Button runat="server" ID="uxEdit" OnClick="EditClick" CssClass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Edit" onmouseover="EPi.ToolButton.MouseDownHandler(this)" onmouseout="EPi.ToolButton.ResetMouseDownHandler(this)" />
        </span>
        <span class="epi-cmsButton">
            <asp:Button runat="server" ID="uxSave" OnClick="SaveClick" CssClass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Save" onmouseover="EPi.ToolButton.MouseDownHandler(this)" onmouseout="EPi.ToolButton.ResetMouseDownHandler(this)" />
        </span>
        <span class="epi-cmsButton">
            <asp:Button runat="server" ID="uxRemove" OnClick="RemoveClick" CssClass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Cancel" onmouseover="EPi.ToolButton.MouseDownHandler(this)" onmouseout="EPi.ToolButton.ResetMouseDownHandler(this)" />
        </span>
    </div>
</fieldset>
